import { DocumentNode } from 'graphql';
import { LayoutServiceData } from '@sitecore-jss/sitecore-jss-nextjs';
type Obj = {
    [key: string]: unknown;
};
/**
 * An interface for GraphQL clients for Content Hub APIs
 */
export interface GraphQLClient {
    /**
     * Execute graphql request
     * @param {string | DocumentNode} query graphql query
     * @param {Object} variables graphql variables
     */
    request<T>(query: string | DocumentNode, variables?: {
        [key: string]: unknown;
    }): Promise<T>;
}
export declare class LabelService {
    private language;
    private contextItem;
    /**
     * Initialize the label service
     * @param layoutData : Layout service data
     */
    constructor(layoutData?: LayoutServiceData);
    /**
     * Get labels for a given template ID
     * @param templateId : Template ID of the labels
     * @returns Labels
     */
    getLabelsForView<TLabel extends Obj>(templateId: string): Promise<TLabel | null>;
}
export {};
